summaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authorHÃ¥vard Bartnes <haavard.bartnes@gmail.com>2023-03-28 12:50:05 +0200
committerCarlo Sala <carlosalag@protonmail.com>2023-03-28 12:58:33 +0200
commit8f6fbe238969ecb22fbdae75450a9f8705c9f979 (patch)
treec42476482f58cc193379292f3de1f1d1665c3265 /lib
parentc08b925d282e35ea7bd9a8f4c29de2ece0debb49 (diff)
downloadzsh-8f6fbe238969ecb22fbdae75450a9f8705c9f979.tar.gz
zsh-8f6fbe238969ecb22fbdae75450a9f8705c9f979.tar.bz2
zsh-8f6fbe238969ecb22fbdae75450a9f8705c9f979.zip
feat(upgrade): add verbosity settings
Co-authored-by: Carlo Sala <carlosalag@protonmail.com> Closes #11574 Closes #11579
Diffstat (limited to 'lib')
-rw-r--r--lib/cli.zsh5
1 files changed, 3 insertions, 2 deletions
diff --git a/lib/cli.zsh b/lib/cli.zsh
index fed00d21d..ba3e39eb5 100644
--- a/lib/cli.zsh
+++ b/lib/cli.zsh
@@ -776,10 +776,11 @@ function _omz::update {
local last_commit=$(builtin cd -q "$ZSH"; git rev-parse HEAD)
# Run update script
+ zstyle -s ':omz:update' verbose verbose_mode || verbose_mode=default
if [[ "$1" != --unattended ]]; then
- ZSH="$ZSH" command zsh -f "$ZSH/tools/upgrade.sh" --interactive || return $?
+ ZSH="$ZSH" command zsh -f "$ZSH/tools/upgrade.sh" -i -v $verbose_mode || return $?
else
- ZSH="$ZSH" command zsh -f "$ZSH/tools/upgrade.sh" || return $?
+ ZSH="$ZSH" command zsh -f "$ZSH/tools/upgrade.sh" -v $verbose_mode || return $?
fi
# Update last updated file